# failOnDynamicVersions

abstract fun failOnDynamicVersions(): ResolutionStrategy

If this method is called, Gradle will make sure that no dynamic version was used in the resulting dependency graph. In practice, it means that if the resolved dependency graph contains a module and that the versions participating in the selection of that module contain at least one dynamic version, then resolution will fail if the resolution result can change because of this version selector. This can be used in cases you want to make sure your build is reproducible, without relying on dependency locking.

#### Return

this resolution strategy

#### Since

6.1